/* GDPR */
#gdpr-popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999;
}

#reject-btn {margin-left: 20px; }

#gdpr-popup > div {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 20px;
  border-radius: 20px;
}
/* Montserrat */
@font-face {
  font-family: 'Montserrat';
  src: url('../fontit/Montserrat-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

a, button {
  font-family: 'Roboto Condensed', sans-serif!important;
}

/* Roboto Condensed */
@font-face {
  font-family: 'Roboto Condensed';
  src: url('../fontit/RobotoCondensed-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Montserrat', sans-serif!important;
}

/* Lato */
@font-face {
  font-family: 'Lato';
  src: url('../fontit/Lato-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

p, ul, ol, main {
  font-family: 'Lato', sans-serif!important;
}

/* Common styles for both desktop and mobile */
.top-bar {
  background-color: #333;
  color: #fff;
  padding: 10px 0;
}
.top-bar .contact-info {
  margin-right: 10px;
}
.top-bar .contact-info .icon {
  margin-right: 5px;
}
.top-bar .social-icons {
  text-align: right;
}
.top-bar .social-icons .icon {
  margin-left: 10px;
}
.sticky-header {
  background-color: #f8f9fa;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 15px 0;
  position: sticky;
  top: 0;
  z-index: 1000;
}
.navbar-brand {
  margin-right: auto;
}

/* Hero Section */
.hero-section {
  background-size: cover;
  background-position: center;
  color: #fff;
  text-align: center;
  padding: 100px 0;
}
.hero-section h1 {
  font-size: 2rem;
  margin-bottom: 20px;
}
.hero-section p {
  font-size: 1.2rem;
}

/* Features Section */
#features {
  padding: 80px 0;
}
#features h2 {
  font-size: 1.5rem;
  margin-bottom: 30px;
  color: #333;
}
#features p {
  font-size: 1.1rem;
  color: #666;
}

  #text-area {
    padding: 80px 0;
  }
  #text-area h2 {
    font-size: 1.5rem;
    margin-bottom: 30px;
    color: #333;
  }
  #text-area p {
    font-size: 1.1rem;
    color: #666;
  }

  /* Sidebar */
  .content-section {
    background-color: #f9f9f9;
    border-radius: 10px;
    padding: 20px;
  }
  .content-section h3 {
    font-size: 1.5rem;
    margin-bottom: 15px;
    color: #333;
  }
  .content-section p {
    font-size: 1rem;
    color: #666;
  }

/* Testimonials Section */
#testimonials {
  padding: 80px 0;
}
#testimonials h2 {
  font-size: 1.5rem;
  margin-bottom: 30px;
  text-transform: uppercase;
  color: #000;
}
#testimonials .blockquote {
  background-color: #333;
  padding: 30px;
  border-radius: 10px;
  color: #000;
}
#testimonials .blockquote p {
  font-size: 1.2rem;
  color: #fff;
}
#testimonials .blockquote-footer {
  color: #aaa;
  margin-top: 10px;
}

/* Call to Action Section */
#cta {
  padding: 100px 0;
}
#cta h2 {
  font-size: 3rem;
  margin-bottom: 30px;
  color: #fff;
}

/* Pricing Section */
#pricing {
  padding: 100px 0;
}
#pricing h5.card-title {
  font-size: 1.5rem;
  color: #333;
}
#pricing .card-body {
  background-color: #f9f9f9;
  border-radius: 10px;
  padding: 40px;
}
#pricing .card-price {
  font-size: 2rem;
  color: #333;
}
#pricing ul {
  list-style-type: none;
  padding-left: 0;
}
#pricing ul li {
  padding: 10px 0;
  color: #666;
}

/* Services Section */
#services {
  padding: 80px 0;
}
#services h2 {
  font-size: 1.5rem;
  margin-bottom: 30px;
  text-transform: uppercase;
  color: #333;
}
#services p {
  font-size: 1.1rem;
  color: #666;
}

/* Footer Section */
footer {
  padding: 50px 0;
}
footer h4 {
  font-size: 1.8rem;
  margin-bottom: 20px;
  color: #fff;
}
footer ul {
  list-style: none;
  padding-left: 0;
  margin-bottom: 20px;
}
footer ul li {
  margin-bottom: 10px;
  color: #ccc;
}
footer form input,
footer form textarea {
  margin-bottom: 5px;
}
footer form button {
  font-size: 1rem;
  padding: 10px 20px;
}
footer iframe {
  border: none;
  width: 100%;
  height: 200px;
}
footer hr {
  border-top: 1px solid #666;
  margin-top: 50px;
  margin-bottom: 30px;
}
footer p {
  font-size: 1rem;
  color: #ccc;
}

/* Media Queries for Mobile Devices */
@media (max-width: 768px) {
  /* Adjustments for smaller screens */
  .top-bar  {
    display: none;
  }
  .sticky-header {
    padding: 10px 0;
  }
  .navbar-brand {
    margin-right: 0;
  }
  .hero-section {
    padding: 80px 0;
  }
  .hero-section h1 {
    font-size: 1.5rem;
    margin-bottom: 10px;
  }
  .hero-section p {
    font-size: 1rem;
  }
  #features h2,
  #testimonials h2,
  #cta h2,
  #pricing h5.card-title,
  #services h2,
  footer h4 {
    font-size: 2rem;
  }
}

/* Kopiointi suoja */
@media print {html, body {display: none;}}
p, h1, h2, h3, h4, h5, h6, img, iframe, br, li, ul, a, div{-webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; }
img, picture, a {
  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
  user-drag: none;
}

/*Kustom selaus palkki */
::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 1px grey; 
  border-radius: 0px;
	border: 0px!important;
}
 
::-webkit-scrollbar-thumb {
  background:  black;
	height: 10px;
}
